package org.seasar.jsf.template;

import javax.faces.component.UIComponent;

/**
 * @author higa
 *
 */
public interface ComponentFactory {

	public UIComponent createComponent();
	
	public int getChildCount();
	
	public ComponentFactory getChild(int index);
	
	public void addChild(ComponentFactory componentFactory);
}
